Managed BMC interface does not get a DHCP IP
Assignee:    
Description

Hello,

I have added a host with an uplink as well as a BMC interface (IPMI).

While the host did get an IP address in its appropriate subnet and is working fine, the BMC did not, even though it was added as a

"managed" NIC.

An entry for it is nowhere to be seen in the dhcpd.conf or dhcpd.leases.

In the foreman.nics MySQL table I can see the BMC NIC with the correct details.

I'm on CentOS 7 with Foreman 1.7.2 installed via foreman-installer.

Related issues:

Related to Foreman - Tracker #2409: Networking New

History

#1 - 02/09/2015 03:45 AM - Dominic Cleal

The support for additional network interfaces has been revamped for 1.8, so it would be valuable if you're able to try our nightly packages out on a

test server to see if the issue remains.

#2 - 02/10/2015 10:15 AM - Nux Ro

Dominic Cleal wrote:

The support for additional network interfaces has been revamped for 1.8, so it would be valuable if you're able to try our nightly packages out on

a test server to see if the issue remains.

 Tried 1.8 from http://yum.theforeman.org/nightly/el7/ and BMC managed interfaces are still not added to DHCPD.

#3 - 02/10/2015 10:20 AM - Dominic Cleal

- Related to Tracker #2409: Networking added

#4 - 02/10/2015 11:51 AM - Marek Hulán

It seems to work for me if I specify DNS name. I'll continue investigating but could you please confirm whether you specify it or not? Also it would help

if you enabled debug log level for foreman and foreman proxy and uploaded both during new host creation.

#5 - 02/11/2015 08:40 AM - Marek Hulán

- Priority changed from High to Normal

We currently require hostname for DHCP orchestration. I reset priority since there's an easy workaround. The proper fix will be more complex.

#6 - 02/11/2015 09:47 AM - Nux Ro

Marek Hulán wrote:
http://yum.theforeman.org/nightly/el7/


We currently require hostname for DHCP orchestration. I reset priority since there's an easy workaround. The proper fix will be more complex.

 Thanks Marek, I can confirm specifying a "dns name" fixes it, I can work with this.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

